include .projtools
.projtools:
	curl -s -o $@ -L "https://gitlab.com/perweij/projtool/-/raw/master/proj-templates/COMMON/.projtools"

MAINSCRIPT = xyz


build: ## Build Python project
	poetry build


build-image: ## Build Python project as an image
	tool="$$(command -v podman || command -v docker)" || { echo "podman/docker not found" >&2; exit 1; }
	"$$tool" build -t pylib-verify-build .


push: build config
	poetry publish -r nexus


config:
	poetry config repositories.nexus https://nexus.jobtechdev.se/repository/pypi-jobtech/
	poetry config http-basic.nexus "$(NEXUS_WRITE_USER)" "$(NEXUS_WRITE_PASS)"


test: ## Run tests in Python project
	poetry install
	poetry run pytest
